Subject: Re: bug#60083: 29.0.60; eshell-elecslash when in the root directory of a remote host

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Dec 2022 22:15:24 +0200

> Date: Sun, 18 Dec 2022 12:04:47 -0800
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 12/18/2022 2:34 AM, Eli Zaretskii wrote:
> >> Date: Thu, 15 Dec 2022 00:46:50 +0100
> >> From:  montag451 via "Bug reports for GNU Emacs,
> >>   the Swiss army knife of text editors" <[email-masked]>
> >>
> >> While testing the new eshell module 'eshell-elecslash' I found a bug
> >> when the default-directory is the root of a remote host. To reproduce
> >> the problem type the following in a eshell buffer (replacing "method"
> >> and "host" by appropriate values):
> >>
> >> $ cd /method:host:/
> >> $ cd / <--- here the "/" should be replaced by "/method:host:/" but
> >> instead nothing happen
> >>
> >> I've attached a patch to this email which fixes this issue.
> > 
> > Jim, are you looking into this issue?
> 
> Thanks. I missed the original message. The patch looks good to me, 
> although it compiles with the following warning:
> 
>    In eshell-electric-forward-slash:
>    ../../lisp/eshell/em-elecslash.el:98:18: Warning: Unused lexical 
> variable `localname'
> 
> Looking through the code, I think we can just remove that variable.
> 
> Since this is a small change, and fixes a corner case in a new feature, 
> I think it would make sense to go on the release branch, though I'll 
> defer to you on this, Eli. The fact that the new code (with the removal 
> of 'localname') is a bit simpler helps too.

Yes, the release branch is fine for this.  Especially since this
module is AFAIU new in Emacs 29.

Thanks.